> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a static input

> Updates a static input. Changing value_type requires providing a new value.



## OpenAPI

````yaml PATCH /projects/{project_id}/static_inputs/{static_input_id}
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /projects/{project_id}/static_inputs/{static_input_id}:
    patch:
      summary: Update a static input
      description: >-
        Updates a static input. Changing value_type requires providing a new
        value.
      operationId: update-static-input
      parameters:
        - name: project_id
          in: path
          schema:
            type: string
          required: true
        - name: static_input_id
          in: path
          schema:
            type: integer
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                static_input:
                  type: object
                  properties:
                    name:
                      type: string
                    value:
                      type: string
                    value_type:
                      type: string
                      enum:
                        - number
                        - string
                        - boolean
                    unit:
                      type: string
                    description:
                      type: string
            examples:
              Request Example:
                value:
                  static_input:
                    value: '0.90'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 1
                    name: Baseline Emission Factor
                    slug: baseline-emission-factor
                    description: Default baseline emission factor
                    value: '0.90'
                    value_type: number
                    unit: tCO2e/MWh
                    created_at: '2025-01-15T10:00:00.000Z'
                    updated_at: '2025-01-15T12:00:00.000Z'
        '422':
          description: '422'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 422
                    errors:
                      - message: Value can't be blank
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````